apiVersion: v1
kind: Pod
metadata:
  name: restore-helper
spec:
  containers:
  - name: restore-helper
    image: docker-images.jobtechdev.se/script-container/script-container:latest
    args:
    - sleep
    - "1000000000"    
    imagePullPolicy: Always 
    volumeMounts:
    - mountPath: /tmp
      name: tmp
    - mountPath: /var/www/html
      name: html
    env:
    - name: MC_HOST_MINIO
      valueFrom:
        secretKeyRef:
          name: backup
          key: mchost
    envFrom:
    - configMapRef:
        name: environment
    resources:
      limits:
        cpu: "100m"
        memory: "64Mi"
      requests:
        cpu: "100m"
        memory: "64Mi"
  volumes:
  - name: tmp
    emptyDir: {}
  - name: html
    persistentVolumeClaim:
      claimName: html
